import com.dev.kangaroo.context.ContextLoader;

public class TelnetLuncher {
    private ContextLoader contextLoader;
    private String locatorFactorySelector = "classpath:telnet-beanRefContext.xml";
    private String parentContextKey = "com.dev.telnet";
    
	public String getLocatorFactorySelector() {
		return locatorFactorySelector;
	}
	public void setLocatorFactorySelector(String locatorFactorySelector) {
		this.locatorFactorySelector = locatorFactorySelector;
	}
	public String getParentContextKey() {
		return parentContextKey;
	}
	public void setParentContextKey(String parentContextKey) {
		this.parentContextKey = parentContextKey;
	}
	public static void main(String[] args){
        TelnetLuncher luncher = new TelnetLuncher();
        luncher.startServer();
    }
    public  void startServer(){
        this.contextLoader = new ContextLoader();
        this.contextLoader.setLocatorFactorySelector(locatorFactorySelector);
        this.contextLoader.setParentContextKey(parentContextKey);
        this.contextLoader.createApplicationContext();

    }
}

